# class DBus::PeerConnection

A {Connection} that is talking directly to a peer, with no bus daemon in between. A prominent example is the PulseAudio connection, see www.freedesktop.org/wiki/Software/PulseAudio/Documentation/Developer/Clients/DBus/ When starting, it still starts with authentication but omits the Hello message.

### Public Instance Methods

peer_service() click to toggle source

Get a {ProxyPeerService}, a dummy helper to get {ProxyObject}s for a {PeerConnection}. @return [ProxyPeerService]

        # File lib/dbus/connection.rb
    359 def peer_service
    360   ProxyPeerService.new(self)
    361 end